boxer (1.4.3-1ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 09 Dec 2025 23:20:37 +0000

boxer (1.4.3-1ubuntu1) noble; urgency=medium

  * d/control: remove boxer-data from Recommends: it is not present in
    Ubuntu (LP: #2058853).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 25 Mar 2024 08:25:26 +1300

boxer (1.4.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
    + update secondary source URI

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 Mar 2022 15:13:02 +0100

boxer (1.4.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * set upstream metadata fields: Repository
  * relax to (build-)depend unversioned on libstrictures-perl

  [ Jonas Smedegaard ]
  * simplify source helper script copyright-check
  * use debhelper compatibility level 13 (not 12)
  * stop build-depend explicitly on perl: not called directly during build
  * annotate test-only build-dependencies
  * declare compliance with Debian Policy 4.6.0
  * update lintian overrides
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Sep 2021 16:27:44 +0200

boxer (1.4.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 24 Apr 2020 17:50:16 +0200

boxer (1.4.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * copyright: extend coverage
  * declare compliance with Debian Policy 4.5.0
  * (build-)depend on libhash-merge-perl
    libmodule-find-perl libmodule-load-conditional-perl
    (not libcapture-tiny-perl);
    build-depend on libtest-deep-perl
  * stop (build-)depend on reclass

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 23 Apr 2020 19:29:05 +0200

boxer (1.4.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.4.1, no changes needed.
  * Bump debhelper dependency to >= 9, since that's what is used in
    debian/compat.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Feb 2020 10:54:28 +0100

boxer (1.4.0-2) unstable; urgency=medium

  [ gregor herrmann ]
  * Enable parts of autopkgtest-pkg-perl
    in addition to the custom debian/tests/boxer-tests.

  [ Jonas Smedegaard ]
  * Declare compliance with Debian Policy 4.4.0.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 16 Aug 2019 13:09:30 +0200

boxer (1.4.0-1) experimental; urgency=medium

  [ upstream ]
  * New release.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 29 Apr 2019 17:00:50 +0200

boxer (1.3.0-2) unstable; urgency=medium

  * Fix (build-)depend on liblist-moreutils-perl.
    Thanks to Santiago Vila.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 Mar 2019 10:26:31 +0100

boxer (1.3.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Add subcommand bootstrap.
    + Fix implement boxer-compose option --format.

  [ Jonas Smedegaard ]
  * Build-depend on libtest-fatal-perl (not libtest-exception-perl).
    Build-depend on libtest-cleannamespaces-perl.
    (Build-)depend on libmoox-strictconstructor-perl.
    Recommend mmdebstrap.
    Recommend/suggest debootstrap and alternatives.
  * Disable generic autopkgtest-pkg-perl autopkgtest profile for now:
    Need tuning and we are out of time.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 Mar 2019 00:10:18 +0100

boxer (1.2.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Fix compose option --help output
      to list current dir as default for --nodedir,
      to match boxer pod and actual logic since v1.1.4.
    + Provide additional variables to skeleton templates,
      containing comma-separated lists:
      - pkgs
      - pkgs_avoid
      - pkgs_auto.
    + Provide additional variables to skeleton templates,
      containing plain and perl-escaped shell code:
      - tweaks
      - tweaks_perl.
    + Update skeleton files:
      - Drop workaround unneeded since Jessie
        (see bug#751367).
      - Use apt (not apt-get) in shell script.
    + Use buster as default suite.

  [ Jonas Smedegaard ]
  * Update watch file: Rewrite usage comment.
  * Simplify rules
    Stop build-depend on cdbs.
  * Stop build-depend on dh-buildinfo.
  * Mark build-dependencies needed only for testsuite as such.
  * Relax to (build-)depend unversioned on libmoo-perl:
    Needed version satisfied even in oldstable.
  * Declare compliance with Debian Policy 4.3.0.
  * Enable testsuite.
  * Update copyright info:
    + Extend coverage of packaging.
    + Extend coverage for main upstream author.
    + Use https protocol in Upstream-Contact, and Source URLs.
  * Fix hashbang of script.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Feb 2019 15:59:32 +0100

boxer (1.1.11-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Fix propagate nonfree flag to skeleton files.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Oct 2018 10:40:42 +0200

boxer (1.1.10-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Fix author-test SYNOPSIS without needing MANIFEST.
    + Add author-test pod-spell.
    + Fix test miminum version without needing META.yml.
    + Fix explicitly depend on Class::XSAccessor:
      Optionally used by Moo, but without it accessors with hyphens are
      not supported.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 27 Sep 2018 18:43:20 +0200

boxer (1.1.9-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Fix resolve nonfree, auto-resolved, and to-be-avoided packages.
    + Extend testsuite: Cover auto-resolved and to-be-avoided packages.
    + Tidy HEREDOC commands.

  [ Jonas Smedegaard ]
  * Declare compliance with Debian Policy 4.2.1.
  * Update package relations:
    + (Build-)depend on libclass-xsaccessor-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 27 Sep 2018 18:30:10 +0200

boxer (1.1.8-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Fix subcommand about listing authority:
      Use namespace::autoclean (not namespace::clean,
      and use recent version to avoid Moo inflation to Moose).
    + Fix subcommand about choking on authority
      implemented but undefined.
    + Fix subcommand aliases help text to use valid example,
      and tone down usage (only some not most subcommands have aliases).
    + Fix typo in POD of module Boxer::World::Flat.
    + Fix changelog entry part of release v1.1.5.
    + Fix syntax error resolving nonfree packages
      in Boxer::World::Reclass.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org.

  [ Jonas Smedegaard ]
  * Declare source package as not requiring root to build.
  * Declare compliance with Debian Policy 4.1.5.
  * Add autopkgtest.
  * Update watch file: Fix typo in usage comment.
  * Update copyright info: Extend coverage for myself.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 13 Jul 2018 18:21:29 +0200

boxer (1.1.7-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    Bug Fixes:
    + Fix make option --skeldir optional.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Nov 2017 11:33:54 +0100


boxer (1.1.6-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    Bug Fixes:
    + Fix testsuite to gracefully handle executable reclass unavailable.
    Packaging:
    + Fix require Test::Exception and Test::File::Contents for
      testsuite.

  [ Jonas Smedegaard ]
  * Update package relations: Build-depend on libfile-which-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Nov 2017 21:43:35 +0100

boxer (1.1.5-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    Bug Fixes:
    + Fix chomp tweak lines.
    Documentation:
    + Add some TODOs.
    + Fix usage description for compose subcommand.
    Packaging:
    + Run perlcritic with tidyall, and test both (not only perlcritic)
      in TEST_AUTHOR mode.
    + Use version with modern assignment. Extend copyright to current
      year.
    Other:
    + Add Boxer::File::WithSkeleton class.
    + Add World and Part classes, with unit test.
    + Consistently use namespace::clean in modules. Order use by
      pragma/non-Moo/Moo/cleanup and (roughly) by specificity.
    + Drop unusued code in Boxer::CLI.
    + Modernize to use perl v5.14, utf8, and strictures 2.
    + Stop handle __PKGAUTOLIST__ in data (deprecated since 0.004).
    + Stop skip undefined args in Task::Serialize (needed only for
      Task::Classify).
    + Stop use MooX::Types::MooseLike::Base.

  [ Jonas Smedegaard ]
  * Simplify rules: Do copyright-check in maintainer script (not during
    build).
  * Update watch file: Use substitution strings.
  * Modernize Vcs-* fields:
    + Consistently use git (not cgit) in path.
    + Consistently include .git suffix in path.
  * Declare compliance with Debian Policy 4.1.1.
  * Tighten lintian overrides regarding License-Reference.
  * Update copyright info:
    + Use https protocol in file format URL.
    + Extend coverage for myself.
  * Update package relations:
    + Stop (build-)depend on libfile-homedir-perl libjson-perl
      libmoox-types-mooselike-perl libpath-class-perl.
    + Tighten to (build-)depend versioned on libstrictures-perl.
    + Build-depend (not only depend) on reclass.
    + Build-depend on libtest-exception-perl libtest-file-contents-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Nov 2017 15:53:24 +0100

boxer (1.1.4-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Fix have current dir be default nodedir (as originally intended
      and documented in boxer pod).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 08 Dec 2016 01:47:58 +0100

boxer (1.1.3-1) unstable; urgency=medium

  [ upstream ]
  * New release.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 03 May 2016 00:30:35 +0200

boxer (1.1.2-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + Use Log::Any::Adapter::Screen (not obsolete predecessor
      Log::Any::Adapter::ScreenColoredLevel).
    + Use File::ShareDir (not File::ShareDir::ProjectDistDir, strongly
      discouraged by author).

  [ Jonas Smedegaard ]
  * Update watch file:
    + Bump to file format 4.
    + List only metacpan URL.
    + Mention gbp --uscan in usage comment.
  * Modernize git-buildpackage config: Filter any .git* file.
  * Declare compliance with Debian Policy 3.9.8.
  * Use https protocol in Vcs-Git URL.
  * Drop CDBS get-orig-source target: Use "gbp import-orig --uscan"
    instead.
  * Update copyright info:
    + Extend copyright for main author to current year.
    + Extend copyright of packaging to cover recent years.
  * Update package relations:
    + (Build-)depend on libfile-sharedir-perl and
      liblog-any-adapter-screen-perl (not
      libfile-sharedir-projectdistdir-perl) or
      liblog-any-adapter-screencoloredlevel-perl).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 01 May 2016 14:29:01 +0200

boxer (1.1.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    [ Bug Fixes ]
    + Fix unescape \n and ${ for shellscript.
    + Fix use apt-get (automated) or apt (interactive, on recent suites)
      in skeleton scripts and notes (aptitude is not always available).
    [ Documentation ]
    + Add TODO on resolving named suites from relative ones.
    + Extend copyright to cover current year.
    [ Other ]
    + Added: Pass node to skeleton files (and use in boilerplate,
      replacing bogus DebianParl boilerplate.
    + Added: Pass suite to skeleton files, and set as variable in
      shellscript and preseed file late_script.
    + Fix drop all hardcoded data from default skeleton files.
    + Support empty packagelist.
    + Tidy Boxer::Types.

  * Update copyright info:
    + Extend copyright for main upstream author to cover current year.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 Nov 2015 14:56:07 +0100

boxer (1.0.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    [ Bug Fixes ]
    + Fix avoid Boxer::Task::Serialize spewing garbage when warning
      about empty lists.
    + Fix suppress failure to mark package auto-installed.
    [ Documentation ]
    + Rewrite INSTALL to use Debian boxer package.
    [ Other ]
    + Added: Implement --nonfree option for subcommand compose.
    + Croak (not die) on broken input.
    + Fixate suite in preseed file (resolved package list is
      suite-specific).
    + Improve coercion and error messages for input paths.
    + Release as stable, using semantic versioning.
    + Sync example data with boxer-data.
    + Tidy whitespace.
    + Use MooX::Role::Logger (not MooX::Log::Any) and
      Log::Any::Adapter::ScreenColoredLevel.

  [ Jonas Smedegaard ]
  * Update watch file to include semantic versioned releases.
  * Update CDBS upstream-tarball hints for new upstream versioning
    scheme.
  * Modernize git-buildpackage config: Avoid git- prefix.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Update package relations: (Build-)depend on libmoox-role-logger-perl
    (not libmoox-log-any-perl) and log-any-adapter-screencoloredlevel.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 21 Nov 2015 13:43:26 +0100

boxer (0.004-1) unstable; urgency=medium

  * Re-release for unstable.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Jul 2015 15:35:13 +0200

boxer (0.004-1~exp1) experimental; urgency=medium

  [ upstream ]
  * New release.
    + Fix only warn (not die) on unresolved auto-markings, avoidance or
      tweaks.
    + Add some TODOs.
    + Adjust example class set: Use reclass 1.4 ABI, and drop broken
      Printing class.
    + Adjust help output of Compose command to describe correct default
      locations.
    + Deprecate expansion of __PKGAUTOLIST__ in tweaklist.
    + Move initial shell code for tweaklist out to skeleton file.
    + Sort doc sections by explicit list (and alphabetically only as
      fallback).
    + Use Template::Tiny.

  [ Jonas Smedegaard ]
  * (Build-)depend on libtemplate-tiny-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 24 Nov 2014 23:11:17 +0100

boxer (0.003-2) unstable; urgency=medium

  * Fix recommend boxer-data.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Oct 2014 19:13:02 +0200

boxer (0.003-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Update INSTALL file and pod synopsis slightly.
    + Fix copyright coverage to include current year.
    + Fix require MooX::Log::Any.
    + Require IPC::System::Simple.
    + Tighten Moo requirement to at least 1.001000 (older are untested
      with Type::Tiny).
    + Add --suite option (and drop it as 2nd argument) in compose
      command, allowing multiple nodes instead.
    + Added: Handle nodes, classes and skeleton files with separate
      options in compose command.
    + Added: Include builting skeleton files, and ship with example
      classes and nodes.
    + Explicitly use IPC::System::Simple (already implicitly used via
      autodie + system() call).
    + Refactor to strip undefined args handed over internally - a.k.a.
      coerce Undef to default, to permit callers to sloppily pass
      App::Cmd options as-is.

  [ Jonas Smedegaard ]
  * Fix depend on reclass (not (build-)depend on python-reclass).
  * Update package relations:
    + Build-depend on libfile-sharedir-install-perl.
    + (Build-)depend on libfile-basedir-perl and
      libfile-sharedir-projectdistdir-perl.
    + Tighten (build-)dependency on libmoo-perl.
    + Recommend boxer-data.
  * Install example classes.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 Oct 2014 03:43:11 +0200

boxer (0.002-1) unstable; urgency=low

  * Initial packaging release.
    Closes: bug#765884.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Oct 2014 01:35:46 +0200
